Package com.avaya.clientservices.agent

## Class UserToUserInformation

- java.lang.Object
- - com.avaya.clientservices.agent.UserToUserInformation

-     public class UserToUserInformation
      extends java.lang.Object

  User-to-User Information (UUI), known as call control UUI data, is a small piece of data inserted by an application initiating the call and utilized by the application receiving the call. The syntax and semantics for the UUI data used by a specific application are defined by a UUI package.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UserToUserInformation()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAsai()` |
    `java.lang.String` | `getCollectedDigits()` |
    `java.lang.String` | `getFullUserToUserInformation()` |
    `java.lang.String` | `getInVdnTime()` |
    `java.lang.String` | `getUcid()` |
    `java.lang.String` | `getVdnName()` |
    `boolean` | `isParsedSuccessfully()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserToUserInformation

          public UserToUserInformation()

  - ### Method Detail

    - #### getUcid

          public java.lang.String getUcid()

      Returns:
        a unique identifier for every call in a call center customer environment for unifrom data-tracking for all call-related data in a call center, regardless of the system.

    - #### getAsai

          public java.lang.String getAsai()

      Returns:
        Adjunct Switch Applications Interface (ASAI) User Data. ASAI UUI information is required to provide screen-pop type functionality by using the UUI to perform data base searches.

    - #### getInVdnTime

          public java.lang.String getInVdnTime()

      Returns:
        VDN call duration.

    - #### getCollectedDigits

          public java.lang.String getCollectedDigits()

      Returns:
        the caller entered information during IVR phase of the call.

    - #### getVdnName

          public java.lang.String getVdnName()

      Returns:
        a Vector Directory Number name. Agent needs to know from which VDN call is arrived in order to be prepared. For example, the agent may servicing incoming calls about sales and technical support questions that are represented by two separate VDNs. When the incoming call is presented to the agent, the agent will better be prepared to talk about a particular topic based on the VDN information associated with the call.

    - #### getFullUserToUserInformation

          public java.lang.String getFullUserToUserInformation()

      Returns:
        full User to User Information if it is not encoded according to Avaya specs for UUI transport. Otherwise it is empty `isParsedSuccessfully()`

    - #### isParsedSuccessfully

          public boolean isParsedSuccessfully()

      Returns:
        whether the UUI is parsed successfully according to Avaya specs for UUI Transport..